BERT Summarizer running into problems install torch on Replit

I am attempting to run the Bert summarizer, and have been running into problems with regard to requisite packages for operation.

Here is my repl:

https://replit.com/@Cortif44/TextRead#main.py

Initially I get a no module named torch error.

When I try to run a poetry add torch

I get:

403 Client Error: Forbidden for url: https://download.pytorch.org/whl/torch_stable.html/rocm5.6/torch-2.1.0%2Brocm5.6-cp310-cp310-linux_x86_64.whl

I’ve tried a number of different links but continue to get this error. I would like to know what I need to do to install torch successfully on Replit.

1 Like